Subject: Re: bug#61960: 30.0.50; Unexec build reliably crashes during loadup

From: Konstantin Kharlamov <[email-masked]>
Date: Sun, 02 Jul 2023 17:10:51 +0300

On Sun, 2023-07-02 at 14:32 +0300, Konstantin Kharlamov wrote:

> but without reverse-execution (as `rr` for some reason doesn't work with
> `temacs` in this case) it will be hard to pinpoint.
> 
> I am planning to report the `rr` problem to them, so hopefully it will be
> possible to find the real culprit in the future.

UPD: after some research turned out `rr` works well, but what I'm seeing with
`rr replay` stopping at `syscall_traced()` is due to `temacs` executing
`execve`, and gdb by default not following into it. To make it work one can
execute `when` in gdb, and then relaunch `rr replay -g $WHENRESULT`. This
peculiarity is very terribly documented despite devs vaguely referring to that
in various bugreports. I guess I'll have to fix the docs to make sure it's more
clear for future users.